import Vue from 'vue'
import Vant from 'vant'
import 'vant/lib/vant-css/index.css'
import App from './App.vue'
import router from './router'
import store from './store'
import AMap from 'vue-amap'
import VueAwesomeSwiper from 'vue-awesome-swiper'
import 'swiper/dist/css/swiper.css'
import moment from 'moment/moment'
import preview from 'vue-photo-preview'
import 'vue-photo-preview/dist/skin.css'






Vue.filter('moment', function (value, formatString) {
  formatString = formatString || 'YYYY/MM/DD';
  return moment(value).format(formatString);
});



Vue.use(Vant)
Vue.use(AMap)
Vue.use(VueAwesomeSwiper)
Vue.use(preview)

Vue.config.productionTip = false

new Vue({
  el:'#app',
  router,
  store,
  render: h => h(App)
})
